"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_router_dom_1 = require("react-router-dom");
require("./index.scss");
const baseClass = 'pill';
const Pill = ({ children, className, to, icon, alignIcon = 'right', onClick, pillStyle = 'light', }) => {
    const classes = [
        baseClass,
        `${baseClass}--style-${pillStyle}`,
        className && className,
        to && `${baseClass}--has-link`,
        (to || onClick) && `${baseClass}--has-action`,
        icon && `${baseClass}--has-icon`,
        icon && `${baseClass}--align-icon-${alignIcon}`,
    ].filter(Boolean).join(' ');
    let RenderedType = 'div';
    if (onClick && !to)
        RenderedType = 'button';
    if (to)
        RenderedType = react_router_dom_1.Link;
    return (react_1.default.createElement(RenderedType, { className: classes, onClick: onClick, type: RenderedType === 'button' ? 'button' : undefined, to: to || undefined },
        (icon && alignIcon === 'left') && (react_1.default.createElement(react_1.default.Fragment, null, icon)),
        children,
        (icon && alignIcon === 'right') && (react_1.default.createElement(react_1.default.Fragment, null, icon))));
};
exports.default = Pill;
//# sourceMappingURL=index.js.map