"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
require("./index.scss");
const baseClass = 'table';
const Table = ({ columns, data }) => {
    if (columns && columns.length > 0) {
        return (react_1.default.createElement("div", { className: baseClass },
            react_1.default.createElement("table", { cellPadding: "0", cellSpacing: "0" },
                react_1.default.createElement("thead", null,
                    react_1.default.createElement("tr", null, columns.map((col, i) => (react_1.default.createElement("th", { key: i, id: `heading-${col.accessor}` }, col.components.Heading))))),
                react_1.default.createElement("tbody", null, data && data.map((row, rowIndex) => (react_1.default.createElement("tr", { key: rowIndex, className: `row-${rowIndex + 1}` }, columns.map((col, colIndex) => (react_1.default.createElement("td", { key: colIndex, className: `cell-${col.accessor}` }, col.components.renderCell(row, row[col.accessor])))))))))));
    }
    return null;
};
exports.default = Table;
//# sourceMappingURL=index.js.map