"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable @typescript-eslint/no-var-requires */
const minimist_1 = __importDefault(require("minimist"));
const generateTypes_1 = require("./generateTypes");
const generateGraphQLSchema_1 = require("./generateGraphQLSchema");
const { build } = require('./build');
const args = (0, minimist_1.default)(process.argv.slice(2));
const scriptIndex = args._.findIndex((x) => x === 'build');
const script = scriptIndex === -1 ? args._[0] : args._[scriptIndex];
switch (script.toLowerCase()) {
    case 'build': {
        build();
        break;
    }
    case 'generate:types': {
        (0, generateTypes_1.generateTypes)();
        break;
    }
    case 'generate:graphqlschema': {
        (0, generateGraphQLSchema_1.generateGraphQLSchema)();
        break;
    }
    default:
        console.log(`Unknown script "${script}".`);
        break;
}
//# sourceMappingURL=index.js.map