"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildConfig = void 0;
const sanitize_1 = __importDefault(require("./sanitize"));
/**
 * @description Builds and validates Payload configuration
 * @param config Payload Config
 * @returns Built and sanitized Payload Config
 */
function buildConfig(config) {
    if (Array.isArray(config.plugins)) {
        const configWithPlugins = config.plugins.reduce((updatedConfig, plugin) => plugin(updatedConfig), config);
        const sanitizedConfig = (0, sanitize_1.default)(configWithPlugins);
        return sanitizedConfig;
    }
    return (0, sanitize_1.default)(config);
}
exports.buildConfig = buildConfig;
//# sourceMappingURL=build.js.map